package com.fjhx.item.entity.product;

import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 申购明细Excel导入实体
 */
@Getter
@Setter
public class IssueImportExcelBo extends BasePo {
    @ExcelProperty("物品编码")
    private String productCustomCode;
    @ExcelProperty("数量")
    private BigDecimal count;
    @ExcelProperty("单价")
    private BigDecimal price;
    @ExcelProperty("备注")
    private String remark;

    /**
     * 关联ID  产品ID/货品ID
     */
    private Long bussinessId;

    /**
     *产品ID/货品ID
     */
    private Long productId;

    /**
     * 货品定义
     */
    private Integer productDefinition;

    /**
     * 货品名称
     */
    private String productName;

    /**
     * 货品规格型号
     */
    private String productSpec;

    /**
     * 单位
     */
    private String productUnit;

    /**
     * 库存数量
     */
    private BigDecimal stockCount;
}
